// DiffractionImageMAR.cpp
// maintained by G.Winter
// 10th June 2004
// 
// A method based on the marcvt application for reading all MAR research
// image formats, including image plates and CCD's.
// 
// This relies on marcvt in third_party. You have been warned!
// 
// 
// 

// C++ things
#include <iostream>
#include <fstream>
#include <map>

// core C things - required for using open() and read() below
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <math.h>
#if !defined _MSC_VER
#include <unistd.h>
#else
#include <io.h>
#endif
 
#include "DiffractionImage.h"

using namespace std;

namespace DI
	{

	void DiffractionImage::loadTIFF()
		{
		loadTIFFHeader();
		allocateImage();
		loadRawImage(filename, 4096);
		}

	void DiffractionImage::loadTIFFHeader()
 	  {
	  twoTheta=0;
	  format="TIFF";
	  }

	};
