// DiffractionImageException.cpp
// authors: G.Winter, F.Remacle
// maintained by F.Remacle
// 2nd February 2007
// 
// A replacement for the old DiffractionImage module - this time developed
// more carefully so that it should be much easier to extend and more
// portable.
// 
// 
#include "DiffractionImage.h"


using namespace std;
namespace DI 
	{
// DiffractionImageException stuff
    DiffractionImageException::DiffractionImageException(void)
		{
		message = "";
		}
    
    DiffractionImageException::DiffractionImageException(string newMessage)
		{
#ifdef TEST_CODE
		cerr << newMessage << endl;
#endif
		message = newMessage;
		printf("Exception: %s \n",message.c_str());
		}
    
    DiffractionImageException::~DiffractionImageException(void)
		{
		// do nothing
		}
    
    string DiffractionImageException::getMessage(void)
		{
		return message;
		}

	};
